diff -Nru audiofile-0.2.6/libaudiofile/modules/adpcm.c audiofile-0.2.7/libaudiofile/modules/adpcm.c
--- audiofile-0.2.6/libaudiofile/modules/adpcm.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/adpcm.c	2010-03-17 05:51:44.000000000 +0100
@@ -48,8 +48,8 @@
 #include <config.h>
 #endif
 
-#include <sys/types.h>
-#include <stdio.h> /*DBG*/
+#include <stdint.h>
+#include <assert.h>
 
 #include "adpcm.h"
 
@@ -72,12 +72,19 @@
 	5894, 6484, 7132, 7845, 8630, 9493, 10442, 11487, 12635, 13899,
 	15289, 16818, 18500, 20350, 22385, 24623, 27086, 29794, 32767
 };
-    
-void _af_adpcm_coder (int16_t *indata, u_int8_t *outdata, int len,
-	struct adpcm_state *state)
+
+static inline int clamp (int x, int low, int high)
+{
+	if (x < low) return low;
+	if (x > high) return high;
+	return x;
+}
+
+void _af_adpcm_coder (const int16_t *indata, uint8_t *outdata, int frameCount,
+	int channelCount, struct adpcm_state *state)
 {
-    int16_t *inp;		/* Input buffer pointer */
-    u_int8_t *outp;		/* Output buffer pointer */
+    const int16_t *inp;	/* Input buffer pointer */
+    uint8_t *outp;		/* Output buffer pointer */
     int val;			/* Current input sample value */
     int sign;			/* Current adpcm sign bit */
     int delta;			/* Current adpcm output value */
@@ -98,7 +105,7 @@
     
     bufferstep = 1;
 
-    for ( ; len > 0 ; len-- ) {
+    for (; frameCount > 0 ; frameCount--) {
 	val = *inp++;
 
 	/* Step 1 - compute difference with previous value */
@@ -172,77 +179,85 @@
     state->index = index;
 }
 
-void _af_adpcm_decoder (u_int8_t *indata, int16_t *outdata, int len,
-	struct adpcm_state *state)
+void _af_adpcm_decoder (const uint8_t *indata, int16_t *outdata, int frameCount,
+	int channelCount, struct adpcm_state *state)
 {
-    u_int8_t *inp;		/* Input buffer pointer */
-    int16_t *outp;		/* output buffer pointer */
-    int sign;			/* Current adpcm sign bit */
-    int delta;			/* Current adpcm output value */
-    int step;			/* Stepsize */
-    int valpred;		/* Predicted value */
-    int vpdiff;			/* Current change to valpred */
-    int index;			/* Current step change index */
-    int inputbuffer;		/* place to keep next 4-bit value */
-    int bufferstep;		/* toggle between inputbuffer/input */
-
-    outp = outdata;
-    inp = indata;
-
-    valpred = state->valprev;
-    index = state->index;
-    step = stepsizeTable[index];
-
-    bufferstep = 0;
-    
-    for ( ; len > 0 ; len-- ) {
-	
-	/* Step 1 - get the delta value */
-	if ( bufferstep ) {
-	    delta = (inputbuffer >> 4) & 0xf;
-	} else {
-	    inputbuffer = *inp++;
-	    delta = inputbuffer & 0xf;
+	const uint8_t *inp = indata;		/* input buffer pointer */
+	int16_t *outp = outdata;		/* output buffer pointer */
+	int step[channelCount];			/* step size */
+	int valpred[channelCount];		/* predicted value */
+	int index[channelCount];		/* current step change index */
+
+	for (int c=0; c<channelCount; c++)
+	{
+		valpred[c] = state[c].valprev;
+		index[c] = state[c].index;
+		step[c] = stepsizeTable[index[c]];
 	}
-	bufferstep = !bufferstep;
 
-	/* Step 2 - Find new index value (for later) */
-	index += indexTable[delta];
-	if ( index < 0 ) index = 0;
-	if ( index > 88 ) index = 88;
-
-	/* Step 3 - Separate sign and magnitude */
-	sign = delta & 8;
-	delta = delta & 7;
-
-	/* Step 4 - Compute difference and new predicted value */
-	/*
-	** Computes 'vpdiff = (delta+0.5)*step/4', but see comment
-	** in adpcm_coder.
-	*/
-	vpdiff = step >> 3;
-	if ( delta & 4 ) vpdiff += step;
-	if ( delta & 2 ) vpdiff += step>>1;
-	if ( delta & 1 ) vpdiff += step>>2;
-
-	if ( sign )
-	  valpred -= vpdiff;
-	else
-	  valpred += vpdiff;
-
-	/* Step 5 - clamp output value */
-	if ( valpred > 32767 )
-	  valpred = 32767;
-	else if ( valpred < -32768 )
-	  valpred = -32768;
-
-	/* Step 6 - Update step value */
-	step = stepsizeTable[index];
+	assert((frameCount % 8) == 0);
 
-	/* Step 7 - Output value */
-	*outp++ = valpred;
-    }
+	for (; frameCount > 0; frameCount -= 8)
+	{
+		for (int c=0; c<channelCount; c++)
+		{
+			int bufferstep = 0;
+			uint8_t inputbuffer; /* storage for next 4-bit encoded value */
+			for (int s=0; s<8; s++)
+			{
+				int delta;
+				/* Step 1 - get the delta value */
+				if (bufferstep)
+				{
+					delta = (inputbuffer >> 4) & 0xf;
+				}
+				else
+				{
+					inputbuffer = *inp++;
+					delta = inputbuffer & 0xf;
+				}
+
+				/* Step 2 - Find new index value (for later) */
+				index[c] += indexTable[delta];
+				index[c] = clamp(index[c], 0, 88);
+
+				/* Step 3 - Separate sign and magnitude */
+				int sign = delta & 8;
+				delta = delta & 7;
+
+				/* Step 4 - Compute difference and new predicted value */
+				/*
+				** Computes 'vpdiff = (delta+0.5)*step/4', but see comment
+				** in adpcm_coder.
+				*/
+				int vpdiff = step[c] >> 3;
+				if (delta & 4) vpdiff += step[c];
+				if (delta & 2) vpdiff += step[c]>>1;
+				if (delta & 1) vpdiff += step[c]>>2;
+
+				if (sign)
+					valpred[c] -= vpdiff;
+				else
+					valpred[c] += vpdiff;
+
+				/* Step 5 - Clamp output value */
+				valpred[c] = clamp(valpred[c], -32768, 32767);
+
+				/* Step 6 - Update step value */
+				step[c] = stepsizeTable[index[c]];
+
+				/* Step 7 - Output value */
+				outp[s*channelCount + c] = valpred[c];
+
+				bufferstep = !bufferstep;
+			}
+		}
+		outp += channelCount * 8;
+	}
 
-    state->valprev = valpred;
-    state->index = index;
+	for (int c=0; c<channelCount; c++)
+	{
+		state[c].valprev = valpred[c];
+		state[c].index = index[c];
+	}
 }
diff -Nru audiofile-0.2.6/libaudiofile/modules/adpcm.h audiofile-0.2.7/libaudiofile/modules/adpcm.h
--- audiofile-0.2.6/libaudiofile/modules/adpcm.h	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/adpcm.h	2010-03-17 05:51:44.000000000 +0100
@@ -11,16 +11,17 @@
 #include <config.h>
 #endif
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
+#include <stdint.h>
 
-struct adpcm_state {
-    short	valprev;	/* Previous output value */
-    char	index;		/* Index into stepsize table */
+struct adpcm_state
+{
+	int16_t	valprev;	/* Previous output value */
+	uint8_t	index;		/* Index into step size table */
 };
 
-void _af_adpcm_coder (int16_t [], u_int8_t [], int, struct adpcm_state *);
-void _af_adpcm_decoder (u_int8_t [], int16_t [], int, struct adpcm_state *);
+void _af_adpcm_coder (const int16_t *src, uint8_t *dst, int frameCount,
+	int channelCount, struct adpcm_state *);
+void _af_adpcm_decoder (const uint8_t *src, int16_t *dst, int frameCount,
+	int channelCount, struct adpcm_state *);
 
 #endif /* ADPCM_H */
diff -Nru audiofile-0.2.6/libaudiofile/modules/g711.c audiofile-0.2.7/libaudiofile/modules/g711.c
--- audiofile-0.2.6/libaudiofile/modules/g711.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/g711.c	2010-03-17 10:10:38.000000000 +0100
@@ -103,10 +103,10 @@
 		/* non-fatal */
 	}
 
-	return AF_TRUE;
+	return true;
 }
 
-static _AFmodule g711compress, g711decompress;
+static const _AFmodule g711compress, g711decompress;
 
 typedef unsigned char g711samp;
 
@@ -191,7 +191,7 @@
 					d->trk->nextfframe + nfr,
 					d->trk->nextfframe + frames2write);
 
-			d->trk->filemodhappy = AF_FALSE;
+			d->trk->filemodhappy = false;
 		}
 	}
 
@@ -297,7 +297,7 @@
 				"file missing data -- read %d frames, should be %d",
 				d->trk->nextfframe,
 				d->trk->totalfframes);
-			d->trk->filemodhappy = AF_FALSE;
+			d->trk->filemodhappy = false;
 		}
 	}
 
@@ -323,7 +323,7 @@
 	d->trk->frames2ignore = 0;
 }
 
-static _AFmodule g711compress =
+static const _AFmodule g711compress =
 {
 	"g711compress",
 	g711compressdescribe,
@@ -334,7 +334,7 @@
 	_AFfreemodspec
 };
 
-static _AFmodule g711decompress =
+static const _AFmodule g711decompress =
 {
 	"g711decompress",
 	g711decompressdescribe,
diff -Nru audiofile-0.2.6/libaudiofile/modules/ima.c audiofile-0.2.7/libaudiofile/modules/ima.c
--- audiofile-0.2.6/libaudiofile/modules/ima.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/ima.c	2010-03-17 10:10:38.000000000 +0100
@@ -46,40 +46,39 @@
 
 #define CHNK(X)
 
-static _AFmodule ima_adpcm_decompress;
+static const _AFmodule ima_adpcm_decompress;
 
 typedef struct
 {
 	_Track		*track;
 	AFvirtualfile	*fh;
 
-	int		blockAlign, samplesPerBlock;
+	int		blockAlign, framesPerBlock;
 	AFframecount	framesToIgnore;
 } ima_adpcm_data;
 
-static int ima_adpcm_decode_block (ima_adpcm_data *ima, u_int8_t *encoded,
+static int ima_adpcm_decode_block (ima_adpcm_data *ima, const uint8_t *encoded,
 	int16_t *decoded)
 {
-	int outputLength;
+	int channelCount = ima->track->f.channelCount;
+	struct adpcm_state state[channelCount];
 
-	struct adpcm_state state;
-
-	outputLength = ima->samplesPerBlock * sizeof (int16_t) *
-		ima->track->f.channelCount;
-
-	state.valprev = (encoded[1]<<8) | encoded[0];
-	if (encoded[1] & 0x80)
-		state.valprev -= 0x10000;
+	for (int c=0; c<channelCount; c++)
+	{
+		state[c].valprev = (encoded[1]<<8) | encoded[0];
+		if (encoded[1] & 0x80)
+			state[c].valprev -= 0x10000;
 
-	state.index = encoded[2];
+		state[c].index = encoded[2];
 
-	*decoded++ = state.valprev;
+		*decoded++ = state[c].valprev;
 
-	encoded += 4;
+		encoded += 4;
+	}
 
-	_af_adpcm_decoder(encoded, decoded, ima->samplesPerBlock - 1, &state);
+	_af_adpcm_decoder(encoded, decoded, ima->framesPerBlock - 1, channelCount, state);
 
-	return outputLength;
+	return ima->framesPerBlock * channelCount * sizeof (int16_t);
 }
 
 bool _af_ima_adpcm_format_ok (_AudioFormat *f)
@@ -88,7 +87,7 @@
 	{
 		_af_error(AF_BAD_COMPRESSION,
 		       "IMA ADPCM compression requires 1 channel");
-		return AF_FALSE;
+		return false;
 	}
 
 	if (f->sampleFormat != AF_SAMPFMT_TWOSCOMP || f->sampleWidth != 16)
@@ -108,7 +107,7 @@
 		/* non-fatal */
 	}
 
-	return AF_TRUE;
+	return true;
 }
 
 static void ima_adpcm_decompress_describe (_AFmoduleinst *i)
@@ -128,9 +127,7 @@
 	_AFmoduleinst	ret = _AFnewmodinst(&ima_adpcm_decompress);
 	ima_adpcm_data	*d;
 	AUpvlist	pv;
-	int		i;
 	long		l;
-	void		*v;
 
 	assert(af_ftell(fh) == track->fpos_first_frame);
 
@@ -144,8 +141,8 @@
 
 	pv = d->track->f.compressionParams;
 
-	if (_af_pv_getlong(pv, _AF_SAMPLES_PER_BLOCK, &l))
-		d->samplesPerBlock = l;
+	if (_af_pv_getlong(pv, _AF_FRAMES_PER_BLOCK, &l))
+		d->framesPerBlock = l;
 	else
 		_af_error(AF_BAD_CODEC_CONFIG, "samples per block not set");
 
@@ -154,7 +151,7 @@
 	else
 		_af_error(AF_BAD_CODEC_CONFIG, "block size not set");
 
-	*chunkframes = d->samplesPerBlock / d->track->f.channelCount;
+	*chunkframes = d->framesPerBlock;
 
 	ret.modspec = d;
 	return ret;
@@ -165,15 +162,13 @@
 	ima_adpcm_data	*d = (ima_adpcm_data *) module->modspec;
 	AFframecount	frames2read = module->outc->nframes;
 	AFframecount	nframes = 0;
-	int		i, framesPerBlock, blockCount;
-	ssize_t		blocksRead, bytesDecoded;
 
-	framesPerBlock = d->samplesPerBlock / d->track->f.channelCount;
+	int framesPerBlock = d->framesPerBlock;
 	assert(module->outc->nframes % framesPerBlock == 0);
-	blockCount = module->outc->nframes / framesPerBlock;
+	int blockCount = module->outc->nframes / framesPerBlock;
 
 	/* Read the compressed frames. */
-	blocksRead = af_fread(module->inc->buf, d->blockAlign, blockCount, d->fh);
+	ssize_t blocksRead = af_fread(module->inc->buf, d->blockAlign, blockCount, d->fh);
 
 	/* This condition would indicate that the file is bad. */
 	if (blocksRead < 0)
@@ -181,7 +176,7 @@
 		if (d->track->filemodhappy)
 		{
 			_af_error(AF_BAD_READ, "file missing data");
-			d->track->filemodhappy = AF_FALSE;
+			d->track->filemodhappy = false;
 		}
 	}
 
@@ -189,11 +184,11 @@
 		blockCount = blocksRead;
 
 	/* Decompress into module->outc. */
-	for (i=0; i<blockCount; i++)
+	for (int i=0; i<blockCount; i++)
 	{
-		bytesDecoded = ima_adpcm_decode_block(d,
-			(u_int8_t *) module->inc->buf + i * d->blockAlign,
-			(int16_t *) module->outc->buf + i * d->samplesPerBlock);
+		ssize_t bytesDecoded = ima_adpcm_decode_block(d,
+			(const uint8_t *) module->inc->buf + i * d->blockAlign,
+			(int16_t *) module->outc->buf + i * d->framesPerBlock * d->track->f.channelCount);
 
 		nframes += framesPerBlock;
 	}
@@ -220,7 +215,7 @@
 				"file missing data -- read %d frames, should be %d",
 				d->track->nextfframe,
 				d->track->totalfframes);
-			d->track->filemodhappy = AF_FALSE;
+			d->track->filemodhappy = false;
 		}
 	}
 
@@ -230,12 +225,9 @@
 static void ima_adpcm_reset1 (_AFmoduleinst *i)
 {
 	ima_adpcm_data	*d = (ima_adpcm_data *) i->modspec;
-	AFframecount	nextTrackFrame;
-	int		framesPerBlock;
-
-	framesPerBlock = d->samplesPerBlock / d->track->f.channelCount;
 
-	nextTrackFrame = d->track->nextfframe;
+	int framesPerBlock = d->framesPerBlock;
+	AFframecount nextTrackFrame = d->track->nextfframe;
 	d->track->nextfframe = (nextTrackFrame / framesPerBlock) *
 		framesPerBlock;
 
@@ -246,9 +238,8 @@
 static void ima_adpcm_reset2 (_AFmoduleinst *i)
 {
 	ima_adpcm_data	*d = (ima_adpcm_data *) i->modspec;
-	int		framesPerBlock;
 
-	framesPerBlock = d->samplesPerBlock / d->track->f.channelCount;
+	int framesPerBlock = d->framesPerBlock;
 
 	d->track->fpos_next_frame = d->track->fpos_first_frame +
 		d->blockAlign * (d->track->nextfframe / framesPerBlock);
@@ -257,7 +248,7 @@
 	assert(d->track->nextfframe % framesPerBlock == 0);
 }
 
-static _AFmodule ima_adpcm_decompress =
+static const _AFmodule ima_adpcm_decompress =
 {
 	"ima_adpcm_decompress",
 	ima_adpcm_decompress_describe,
diff -Nru audiofile-0.2.6/libaudiofile/modules/msadpcm.c audiofile-0.2.7/libaudiofile/modules/msadpcm.c
--- audiofile-0.2.6/libaudiofile/modules/msadpcm.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/msadpcm.c	2010-03-17 10:10:38.000000000 +0100
@@ -45,12 +45,12 @@
 
 #define CHNK(X)
 
-static _AFmodule ms_adpcm_decompress;
+static const _AFmodule ms_adpcm_decompress;
 
 typedef struct ms_adpcm_state
 {
-	u_int8_t	predictor;
-	u_int16_t	delta;
+	uint8_t		predictor;
+	uint16_t	delta;
 	int16_t		sample1, sample2;
 } ms_adpcm_state;
 
@@ -65,7 +65,7 @@
 	*/
 	AFframecount	framesToIgnore;
 
-	int		blockAlign, samplesPerBlock;
+	int		blockAlign, framesPerBlock;
 
 	/* a is an array of numCoefficients ADPCM coefficient pairs. */
 	int	numCoefficients;
@@ -77,7 +77,7 @@
 	value.
 */
 static int16_t ms_adpcm_decode_sample (struct ms_adpcm_state *state,
-	u_int8_t code, const int16_t *coefficient)
+	uint8_t code, const int16_t *coefficient)
 {
 	const int32_t MAX_INT16 = 32767, MIN_INT16 = -32768;
 	const int32_t adaptive[] =
@@ -119,7 +119,7 @@
 }
 
 /* Decode one block of MS ADPCM data. */
-static int ms_adpcm_decode_block (ms_adpcm_data *msadpcm, u_int8_t *encoded,
+static int ms_adpcm_decode_block (ms_adpcm_data *msadpcm, const uint8_t *encoded,
 	int16_t *decoded)
 {
 	int		i, outputLength, samplesRemaining;
@@ -129,7 +129,7 @@
 	ms_adpcm_state	*state[2];
 
 	/* Calculate the number of bytes needed for decoded data. */
-	outputLength = msadpcm->samplesPerBlock * sizeof (int16_t) *
+	outputLength = msadpcm->framesPerBlock * sizeof (int16_t) *
 		msadpcm->track->f.channelCount;
 
 	channelCount = msadpcm->track->f.channelCount;
@@ -151,20 +151,20 @@
 	for (i=0; i<channelCount; i++)
 	{
 		state[i]->delta = (encoded[1]<<8) | encoded[0];
-		encoded += sizeof (u_int16_t);
+		encoded += sizeof (uint16_t);
 	}
 
 	/* Initialize first two samples. */
 	for (i=0; i<channelCount; i++)
 	{
 		state[i]->sample1 = (encoded[1]<<8) | encoded[0];
-		encoded += sizeof (u_int16_t);
+		encoded += sizeof (uint16_t);
 	}
 
 	for (i=0; i<channelCount; i++)
 	{
 		state[i]->sample2 = (encoded[1]<<8) | encoded[0];
-		encoded += sizeof (u_int16_t);
+		encoded += sizeof (uint16_t);
 	}
 
 	coefficient[0] = msadpcm->coefficients[state[0]->predictor];
@@ -180,13 +180,13 @@
 		The first two samples have already been 'decoded' in
 		the block header.
 	*/
-	samplesRemaining = (msadpcm->samplesPerBlock - 2) *
+	samplesRemaining = (msadpcm->framesPerBlock - 2) *
 		msadpcm->track->f.channelCount;
 
 	while (samplesRemaining > 0)
 	{
-		u_int8_t	code;
-		int16_t		newSample;
+		uint8_t code;
+		int16_t newSample;
 
 		code = *encoded >> 4;
 		newSample = ms_adpcm_decode_sample(state[0], code,
@@ -211,7 +211,7 @@
 	{
 		_af_error(AF_BAD_COMPRESSION,
 		       "MS ADPCM compression requires 1 or 2 channels");
-		return AF_FALSE;
+		return false;
 	}
 
 	if (f->sampleFormat != AF_SAMPFMT_TWOSCOMP || f->sampleWidth != 16)
@@ -231,7 +231,7 @@
 		/* non-fatal */
 	}
 
-	return AF_TRUE;
+	return true;
 }
 
 static void ms_adpcm_decompress_describe (_AFmoduleinst *i)
@@ -251,7 +251,6 @@
 	_AFmoduleinst	ret = _AFnewmodinst(&ms_adpcm_decompress);
 	ms_adpcm_data	*d;
 	AUpvlist	pv;
-	int		i;
 	long		l;
 	void		*v;
 
@@ -276,8 +275,8 @@
 	else
 		_af_error(AF_BAD_CODEC_CONFIG, "coefficient array not set");
 
-	if (_af_pv_getlong(pv, _AF_SAMPLES_PER_BLOCK, &l))
-		d->samplesPerBlock = l;
+	if (_af_pv_getlong(pv, _AF_FRAMES_PER_BLOCK, &l))
+		d->framesPerBlock = l;
 	else
 		_af_error(AF_BAD_CODEC_CONFIG, "samples per block not set");
 
@@ -286,7 +285,7 @@
 	else
 		_af_error(AF_BAD_CODEC_CONFIG, "block size not set");
 
-	*chunkframes = d->samplesPerBlock / d->track->f.channelCount;
+	*chunkframes = d->framesPerBlock;
 
 	ret.modspec = d;
 	return ret;
@@ -300,7 +299,7 @@
 	int		i, framesPerBlock, blockCount;
 	ssize_t		blocksRead, bytesDecoded;
 
-	framesPerBlock = d->samplesPerBlock / d->track->f.channelCount;
+	framesPerBlock = d->framesPerBlock;
 	assert(module->outc->nframes % framesPerBlock == 0);
 	blockCount = module->outc->nframes / framesPerBlock;
 
@@ -311,8 +310,8 @@
 	for (i=0; i<blockCount; i++)
 	{
 		bytesDecoded = ms_adpcm_decode_block(d,
-			(u_int8_t *) module->inc->buf + i * d->blockAlign,
-			(int16_t *) module->outc->buf + i * d->samplesPerBlock);
+			(const uint8_t *) module->inc->buf + i * d->blockAlign,
+			(int16_t *) module->outc->buf + i * d->framesPerBlock * d->track->f.channelCount);
 
 		nframes += framesPerBlock;
 	}
@@ -339,7 +338,7 @@
 				"file missing data -- read %d frames, should be %d",
 				d->track->nextfframe,
 				d->track->totalfframes);
-			d->track->filemodhappy = AF_FALSE;
+			d->track->filemodhappy = false;
 		}
 	}
 
@@ -352,7 +351,7 @@
 	AFframecount	nextTrackFrame;
 	int		framesPerBlock;
 
-	framesPerBlock = d->samplesPerBlock / d->track->f.channelCount;
+	framesPerBlock = d->framesPerBlock;
 
 	nextTrackFrame = d->track->nextfframe;
 	d->track->nextfframe = (nextTrackFrame / framesPerBlock) *
@@ -367,7 +366,7 @@
 	ms_adpcm_data	*d = (ms_adpcm_data *) i->modspec;
 	int		framesPerBlock;
 
-	framesPerBlock = d->samplesPerBlock / d->track->f.channelCount;
+	framesPerBlock = d->framesPerBlock;
 
 	d->track->fpos_next_frame = d->track->fpos_first_frame +
 		d->blockAlign * (d->track->nextfframe / framesPerBlock);
@@ -376,7 +375,7 @@
 	assert(d->track->nextfframe % framesPerBlock == 0);
 }
 
-static _AFmodule ms_adpcm_decompress =
+static const _AFmodule ms_adpcm_decompress =
 {
 	"ms_adpcm_decompress",
 	ms_adpcm_decompress_describe,
diff -Nru audiofile-0.2.6/libaudiofile/modules/pcm.c audiofile-0.2.7/libaudiofile/modules/pcm.c
--- audiofile-0.2.6/libaudiofile/modules/pcm.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/pcm.c	2010-03-17 10:10:38.000000000 +0100
@@ -51,14 +51,14 @@
 	assert(!isnan(f->pcm.minClip));
 	assert(!isnan(f->pcm.maxClip));
 
-	return AF_TRUE;
+	return true;
 }
 
 /*
 	The pcm module does both reading and writing.
 */
 
-static _AFmodule pcm;
+static const _AFmodule pcm;
 
 typedef struct pcm_data
 {
@@ -83,7 +83,7 @@
 	d->trk = trk;
 	d->fh = fh;
 	d->seekok = seekok;
-	d->bytes_per_frame = _af_format_frame_size(&trk->f, AF_FALSE);
+	d->bytes_per_frame = _af_format_frame_size(&trk->f, false);
 
 	d->trk->fpos_next_frame = d->trk->fpos_first_frame;
 
@@ -133,7 +133,7 @@
 					"wrote %d out of %d frames",
 					d->trk->nextfframe + n,
 					d->trk->nextfframe + frames2write);
-			d->trk->filemodhappy = AF_FALSE;
+			d->trk->filemodhappy = false;
 		}
 	}
 
@@ -179,7 +179,7 @@
 
 	d->trk->f.compressionParams = AU_NULL_PVLIST;
 
-	d->bytes_per_frame = _af_format_frame_size(&trk->f, AF_FALSE);
+	d->bytes_per_frame = _af_format_frame_size(&trk->f, false);
 
 	ret.modspec = d;
 	return ret;
@@ -237,7 +237,7 @@
 				"should be %d",
 				d->trk->nextfframe,
 				d->trk->totalfframes);
-			d->trk->filemodhappy = AF_FALSE;
+			d->trk->filemodhappy = false;
 		}
 	}
 
@@ -262,7 +262,7 @@
 	d->trk->frames2ignore = 0;
 }
 
-static _AFmodule pcm =
+static const _AFmodule pcm =
 {
 	"pcm",
 	AF_NULL,
diff -Nru audiofile-0.2.6/libaudiofile/modules/rebuffer.template audiofile-0.2.7/libaudiofile/modules/rebuffer.template
--- audiofile-0.2.6/libaudiofile/modules/rebuffer.template	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/modules/rebuffer.template	2010-03-17 10:10:38.000000000 +0100
@@ -226,7 +226,7 @@
     free(d->saved_buf);
 }
 
-static _AFmodule PRFX(rebufferv2f) =
+static const _AFmodule PRFX(rebufferv2f) =
 {
   NAMESTRING(rebufferv2f),
   AF_NULL,
@@ -411,7 +411,7 @@
       got = i->inc->nframes * i->inc->f.channelCount; /* may be short chunk */
 
       if (got != req)       /* short chunk on input */
-        d->eof = AF_TRUE;
+        d->eof = true;
 
       memcpy(outbufp, i->inc->buf, sizeof(TYPE)*min(samples2pull, got));
 
@@ -462,7 +462,7 @@
      If samples2pull <= 0, we have pulled enough samples to satisfy the
      request.
 
-     If d->eof==AF_TRUE, then we hit EOF on input.
+     If d->eof==true, then we hit EOF on input.
 
      If we did not hit end of file, then we must have satisfied the request.
      If we did hit end of file, then we may or may not have satisfied the request.
@@ -483,7 +483,7 @@
   if (d->eof && samples2pull > 0) /* EOF reached and not enough data */
     {
       i->outc->nframes -= samples2pull / i->inc->f.channelCount; /* SHORT CHUNK out */
-      d->sent_short_chunk = AF_TRUE;
+      d->sent_short_chunk = true;
       assert(d->offset == d->nsamps); /* we must have used all buffered frames */
     }
   else
@@ -505,8 +505,8 @@
 {
   REBUFFER_DATA *d = i->modspec;
   d->offset = d->nsamps;
-  d->eof = AF_FALSE;
-  d->sent_short_chunk = AF_FALSE;
+  d->eof = false;
+  d->sent_short_chunk = false;
   assert(d->offset > 0 && d->offset <= d->nsamps);
 }
 
@@ -525,7 +525,7 @@
     free(d->buf);
 }
 
-static _AFmodule PRFX(rebufferf2v) =
+static const _AFmodule PRFX(rebufferf2v) =
 {
   NAMESTRING(rebufferf2v),
   AF_NULL,
@@ -544,8 +544,8 @@
   d->offset = d->nsamps;
   d->buf = _af_malloc(sizeof (TYPE) * nsamps);
   d->multiple_of = multiple_of;
-  d->eof = AF_FALSE;
-  d->sent_short_chunk = AF_FALSE;
+  d->eof = false;
+  d->sent_short_chunk = false;
   ret.modspec = d;
 
   DEBG(printf("%s nsamps=%d multiple_of=%d\n", NAMESTRING(rebufferf2v),
